<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <title>פגישה 9 - פונקציות ומשתנים מקומיים</title>
 
  <meta http-equiv="content-type"
 content="text/html; charset=UTF-8">
 
  <link href="lec.css" rel="stylesheet" type="text/css">
<link rel="contents" href="index.html"><link rel="top" href="index.html"><link rel="start" href="node1.html"><link rel="first" href="node1.html"><link rel="next" href="node9.html#h"><link rel="prev" href="node7.html#h">
</head>
<body>
  
גרסה 1.1
<h1>פגישה 9 - פונקציות ומשתנים מקומיים</h1>
  <div class="nav" dir="ltr" align="right"><A HREF="index.html" NAME="h">[Top]</A> <A HREF="node1.html#h">[First]</A> <A HREF="node7.html#h">[Previous]</A> <A HREF="node9.html#h">[Next]</A></div><h3><a name="wrong_var_reuse"></a>שימוש שגוי במשתנה אחד לשתי מטרות</h3>
     
<ul>
     <li>כשכותבים תוכנית, צריך להיזהר משימוש באותו המשתנה פעמיים למטרות שונות.
         הנה שגיאה לדוגמא:
    <div dir=ltr><pre>
    &gt;&gt;&gt; i = 0
    &gt;&gt;&gt; while i &lt; 2:
    ...     for i in range(0, 2):
    ...         print "*",
    ...     print
    ...     i = i + 1
    ... 
    * *
    </pre></div>
    (התוכניתן רצה להדפיס ריבוע של 2 כוכביות על 2 כוכביות. בפועל, הודפסה שורה
     אחת בלבד).
      </li>
</ul>
                    
                   
<address><a href="http://validator.w3.org/check/referer"><img
 src="http://www.w3.org/Icons/valid-html401" alt="Valid HTML 4.01!"
 height="31" width="88">
 </a>נכתב על ידי <a href="mailto:choo@actcom.co.il">גיא קרן</a><br>
          </address>
                   
</body>
</html>
